
package paqueteBL;

import java.util.ArrayList;
import java.util.List;

public class HostExt extends Host {

    public HostExt()
    {
        super();
    }

    public HostExt(Host host)
    {
        ip=host.getIp();
        nombre=host.getNombre();
        user=host.getUser();
        password=host.getPassword();
        id=host.getId();
        estado=host.getEstado();
        eventos=new ArrayList<Evento>();
    }

    private List<Evento> eventos;


    public List<Evento> getEventos() {
        return eventos;
    }

    public void setEventos(List<Evento> eventos) {
        this.eventos = eventos;
    }

    public void addEvento(Evento evento)
    {
        eventos.add(evento);
    }

}
